Name:			idesk
Version:		0.7.5
Release:		9%{?dist}
Summary:		Light desktop manager for minimal WMs
Group:			User Interface/Desktops
License:		BSD
URL:			http://idesk.sourceforge.net/wiki/index.php/Main_Page
Source0:		http://downloads.sourceforge.net/sourceforge/%{name}/%{name}-%{version}.tar.bz2
# gnome-xterm.png take from GNOME's gnome-desktop.
# URL: http://www.gnome.org, License: GPLv2.
# File packaged separately to reduce the number of prerequisites.
Source1:		gnome-xterm.png
Patch0:			idesk-default_lnk.patch
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	imlib2-devel
BuildRequires:	xorg-x11-proto-devel
BuildRequires:	libXft-devel
BuildRequires:	startup-notification-devel
BuildRequires:	libSM-devel
Requires:		xterm


%description
iDesk is a lightweight desktop manager for desktop-less WM's.
iDesk support PNG/JPEG icons and desktop wallpapers.
iDesk further supports smart user-defined actions
(E.g. double mouse click) for both the desktop icons and
the desktop wallpaper.


%prep
%setup -q
%patch0 -p1
sed -i -e 's:SHARE_DIR:%{_datadir}:' examples/default.lnk

%build
%configure --enable-libsn --enable-shape --enable-xft
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="%{__install} -p"
rm -rf $RPM_BUILD_ROOT/%{_datadir}/idesk/folder_home.xpm
cp %{SOURCE1} $RPM_BUILD_ROOT/%{_datadir}/idesk


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO ChangeLog
%{_bindir}/idesk
%{_datadir}/idesk


%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Apr 30 2008 <gilboad AT gmail DOT com> - 0.7.5-7
- Missing 

* Tue Apr 08 2008 <gilboad AT gmail DOT com> - 0.7.5-6
- Fix patch name.

* Sat Apr 07 2008 <gilboad AT gmail DOT com> - 0.7.5-5
- Modified example. (+Required files)
- Missing REQ: xterm.
- Fix source URL.

* Sat Mar 16 2008 <gilboad AT gmail DOT com> - 0.7.5-4
- Change license to BSD.

* Sat Feb 10 2007 <gilboad AT gmail DOT com> - 0.7.5-3
- Preserve the source time-stamp.

* Sat Jan 20 2007 <gilboad AT gmail DOT com> - 0.7.5-2
- Fix description.
- Fix group.
- Missing BR: libSM-devel.

* Wed Jan 15 2007 <gilboad AT gmail DOT com> - 0.7.5-1
- Initial release.

